Subject: Re: bug#30718: coreutils-8.29 compilation failure using xlC on AIX

From: John Wiersba <[email-masked]>
Date: Tue, 6 Mar 2018 13:23:29 +0000 (UTC)

Hi, Assaf - 
I saw those newly added lines in the version of coreutils that I was compiling, and that was part of the information which led me to the set of environment variables I'm currently using.I think many people compiling on AIX will use XLC instead of GCC, since that's the "native" compiler.  It would be great to auto detect XLC and have some useful default flags for it.In lieu of that, it would be great to document a useful environment on AIX for those who use XLC.  I'm certainly happy to defer to other, more expert, AIX users about the values of those suggested environment variables, since I only do this kind of thing every N years when I get really fed up with AIX's pathetic set of native tools.
-- John

      From: Assaf Gordon <[email-masked]>
 To: [email-masked]; [email-masked]; [email-masked] 
 Sent: Monday, March 5, 2018 11:18 PM
 Subject: Re: bug#30718: coreutils-8.29 compilation failure using xlC on AIX
   
On 2018-03-05 06:21 PM, Paul Eggert wrote:
> On 03/05/2018 04:01 PM, John Wiersba wrote:
>> As an additional comment, it took me quite a while to find working 
>> values for
>> CFLAGS, AR, and LDFLAGS.  I'm not sure how you might accomplish it, 
>> but it would be
>> friendlier if, once it's determined that gcc is not available and xlC 
>> is available,
>> a reasonable set of default options were supplied, so that every user 
>> of xlC doesn't
>> have to rediscover some set defaults which allow the build to succeed.

Just recently we've added information about GCC's CFLAGS/LDFLAGS/AR
on AIX in the README:
https://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=f4fec336

Perhaps it's worth expanding and mentioning XLC flags ?
(as an interim fix until proper detection is made)